Index: channels/chan_unistim.c
===================================================================
--- channels/chan_unistim.c	(revision 93177)
+++ channels/chan_unistim.c	(working copy)
@@ -5275,14 +5275,18 @@
 			display_last_error("Error in ast_localtime()");
 			ast_copy_string(d->titledefault, "UNISTIM for*", 12);
 		} else {
-			if (strlen(tm.tm_zone) < 4) {
-				strcpy(d->titledefault, "TimeZone ");
-				strcat(d->titledefault, tm.tm_zone);
-			} else if (strlen(tm.tm_zone) < 9) {
-				strcpy(d->titledefault, "TZ ");
-				strcat(d->titledefault, tm.tm_zone);
-			} else
-				ast_copy_string(d->titledefault, tm.tm_zone, 12);
+			if (tm.tm_zone) {
+				if (strlen(tm.tm_zone) < 4) {
+					strcpy(d->titledefault, "TimeZone ");
+					strcat(d->titledefault, tm.tm_zone);
+				} else if (strlen(tm.tm_zone) < 9) {
+					strcpy(d->titledefault, "TZ ");
+					strcat(d->titledefault, tm.tm_zone);
+				} else
+					ast_copy_string(d->titledefault, tm.tm_zone, 12);
+			} else {
+				ast_log(LOG_WARNING, "no tm_zone when building device\n");
+			}
 		}
 	}
 	/* Update the chained link if it's a new device */
